RDKit: RDKit::MolStandardize::TransformCatalogParams Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolStandardize::TransformCatalogParams Class Reference

`#include <TransformCatalogParams.h>`

Inheritance diagram for RDKit::MolStandardize::TransformCatalogParams:

## Public Member Functions
| TransformCatalogParams ()
| TransformCatalogParams (const std::string &transformFile)
| TransformCatalogParams (std::istream &transformStream)
| TransformCatalogParams (const std::vector< std::pair< std::string, std::string > > &data)
| TransformCatalogParams (const TransformCatalogParams &other)
| ~TransformCatalogParams () override
unsigned int | getNumTransformations () const
const std::vector< std::shared_ptr< ChemicalReaction > > & | getTransformations () const
const ChemicalReaction * | getTransformation (unsigned int fid) const
void | toStream (std::ostream &) const override
| serializes (pickles) to a stream
std::string | Serialize () const override
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss) override
| initializes from a stream pickle
void | initFromString (const std::string &text) override
| initializes from a string pickle
void | initializeTransforms () const
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string
void | setTypeStr (const std::string &typeStr)
| sets our type string

## Additional Inherited Members
Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string

## Detailed Description

Definition at line 25 of file TransformCatalogParams.h.

## Constructor & Destructor Documentation

## ◆ TransformCatalogParams() [1/5]

RDKit::MolStandardize::TransformCatalogParams::TransformCatalogParams | ( |  | ) |
| inline

Definition at line 28 of file TransformCatalogParams.h.

References RDCatalog::CatalogParams::d_typeStr.

Referenced by TransformCatalogParams().

## ◆ TransformCatalogParams() [2/5]

RDKit::MolStandardize::TransformCatalogParams::TransformCatalogParams | ( | const std::string & | transformFile | ) |

## ◆ TransformCatalogParams() [3/5]

RDKit::MolStandardize::TransformCatalogParams::TransformCatalogParams | ( | std::istream & | transformStream | ) |

## ◆ TransformCatalogParams() [4/5]

RDKit::MolStandardize::TransformCatalogParams::TransformCatalogParams | ( | const std::vector< std::pair< std::string, std::string > > & | data | ) |

## ◆ TransformCatalogParams() [5/5]

RDKit::MolStandardize::TransformCatalogParams::TransformCatalogParams | ( | const TransformCatalogParams & | other | ) |

References TransformCatalogParams().

## ◆ ~TransformCatalogParams()

RDKit::MolStandardize::TransformCatalogParams::~TransformCatalogParams | ( |  | ) |
| override

## Member Function Documentation

## ◆ getNumTransformations()

unsigned int RDKit::MolStandardize::TransformCatalogParams::getNumTransformations | ( |  | ) | const
| inline

Definition at line 43 of file TransformCatalogParams.h.

## ◆ getTransformation()

const ChemicalReaction * RDKit::MolStandardize::TransformCatalogParams::getTransformation | ( | unsigned int | fid | ) | const

## ◆ getTransformations()

const std::vector< std::shared_ptr< ChemicalReaction > > & RDKit::MolStandardize::TransformCatalogParams::getTransformations | ( |  | ) | const

## ◆ initFromStream()

void RDKit::MolStandardize::TransformCatalogParams::initFromStream | ( | std::istream & | ss | ) |
| overridevirtual

initializes from a stream pickle

Implements RDCatalog::CatalogParams.

## ◆ initFromString()

void RDKit::MolStandardize::TransformCatalogParams::initFromString | ( | const std::string & | text | ) |
| overridevirtual

initializes from a string pickle

Implements RDCatalog::CatalogParams.

## ◆ initializeTransforms()

void RDKit::MolStandardize::TransformCatalogParams::initializeTransforms | ( |  | ) | const

## ◆ Serialize()

std::string RDKit::MolStandardize::TransformCatalogParams::Serialize | ( |  | ) | const
| overridevirtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogParams.

## ◆ toStream()

void RDKit::MolStandardize::TransformCatalogParams::toStream | ( | std::ostream & |  | ) | const
| overridevirtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- TransformCatalogParams.h